mod imp;

use glib::Object;
use gtk::{gio, glib};

glib::wrapper! {
    pub struct CardEntry(ObjectSubclass<imp::CardEntry>)
        @extends gtk::Widget,
        @implements gio::ActionGroup, gio::ActionMap, gtk::Accessible, gtk::Buildable,
                    gtk::ConstraintTarget, gtk::Native, gtk::Root, gtk::ShortcutManager;
}

impl CardEntry {
    pub fn new(hieroglyph: &String, translation: &String) -> Self {
        Object::builder().property("hieroglyph", hieroglyph).property("translation", translation).build()
    }
}
